Skip to main content
GET
/
rating-tables
/
{ratingTable}
Admin only: Retrieves the rates of a rating table
curl --request GET \
  --url https://api.example.com/rating-tables/{ratingTable}
import requests

url = "https://api.example.com/rating-tables/{ratingTable}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/rating-tables/{ratingTable}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "RATING_TABLE",
  "id": "<string>",
  "inputs": [
    {
      "id": "<string>",
      "unit": "<string>",
      "options": {
        "includeMin": true,
        "includeMax": true
      }
    }
  ],
  "factors": [
    {
      "type": "RATING_FACTORS",
      "exactInputs": [
        {
          "id": "<string>",
          "value": "<string>"
        }
      ],
      "rangeInputs": [
        {
          "id": "<string>",
          "min": 123,
          "max": 123
        }
      ],
      "value": 123
    }
  ]
}
{
"title": "INVALID_RATING_TABLE"
}

Path Parameters

ratingTable
string
required

Rating table

Response

type
enum<string>
required

type

Available options:
RATING_TABLE
id
string
required

id

inputs
object[]
required

inputs

factors
object[]
required

factors